Skip to main content
`Ctrl`+`K`

# PetscEventRegLogRegister

Deprecated

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "nothing", "PetscEventRegLog is no longer used.") static inline PetscErrorCode PetscEventRegLogRegister(PetscEventRegLog a, const char *b, PetscClassId c, PetscLogEvent *d)

## Note

Registration data for logging is now controlled by `PetscLogState`.

## See Also

Profiling, `PetscLogEventRegister()`

## Level

deprecated

## Location

include/petsc/private/logimpldeprecated.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages